com.holonplatform.datastore.jdbc.composer.dialect

## Class DefaultDialect

- java.lang.Object
- - com.holonplatform.datastore.jdbc.composer.dialect.DefaultDialect

- All Implemented Interfaces:
    SQLDialect, Serializable

      public class DefaultDialect
      extends Object
      implements SQLDialect

  Default `SQLDialect` implementation.
  Since:
    5.1.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.composer.SQLDialect

      `SQLDialect.LimitHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `generatedKeyAlwaysReturned()` Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds.
    `void` | `init(SQLDialectContext context)` Dialect initialization hook at parent datastore initialization.
    `boolean` | `supportsGetGeneratedKeys()` Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
    `boolean` | `supportsLikeEscapeClause()` Retrieves whether this database supports specifying a `LIKE` escape clause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLDialect

      `db2, deleteStatementAliasSupported, deleteStatementTargetRequired, derby, detect, getColumnName, getJavaType, getLimitHandler, getLockClause, getLockHint, getSqlType, getTableName, h2, HANA, hsqldb, informix, mariaDB, mySQL, oracle, postgreSQL, resolveFunction, sqlite, sqlServer, supportGetGeneratedKeyByName, supportsBinaryStreamParameter, supportsSqlType, translateException, updateStatementAliasSupported, updateStatementFromSupported, updateStatementSetAliasSupported, useOuterInJoins`

- - ### Constructor Detail

    - #### DefaultDialect

          public DefaultDialect()

  - ### Method Detail

    - #### init

          public void init(SQLDialectContext context)
                    throws SQLException

      Description copied from interface: `SQLDialect`
      Dialect initialization hook at parent datastore initialization.
      Specified by:
        `init` in interface `SQLDialect`
      Parameters:
        `context` - Dialect context
      Throws:
        `SQLException` - An error occurred during dialect initialization

    - #### supportsLikeEscapeClause

          public boolean supportsLikeEscapeClause()

      Description copied from interface: `SQLDialect`
      Retrieves whether this database supports specifying a `LIKE` escape clause.
      Specified by:
        `supportsLikeEscapeClause` in interface `SQLDialect`
      Returns:
        `true` if so; `false` otherwise

    - #### supportsGetGeneratedKeys

          public boolean supportsGetGeneratedKeys()

      Description copied from interface: `SQLDialect`
      Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
      Specified by:
        `supportsGetGeneratedKeys` in interface `SQLDialect`
      Returns:
        `true` if auto-generated keys can be retrieved after a statement has executed; `false` otherwise

    - #### generatedKeyAlwaysReturned

          public boolean generatedKeyAlwaysReturned()

      Description copied from interface: `SQLDialect`
      Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds. The key that is returned may or may not be based on the column(s) for the auto generated key.
      Specified by:
        `generatedKeyAlwaysReturned` in interface `SQLDialect`
      Returns:
        `true` if so; `false` otherwise

Copyright © 2019 The Holon Platform. All rights reserved.